pliny.namespace({
  name: "Live API",
  description: "The Live API is a set of functions that serve as shorthand for common Three.js objects, with a caching system built in to deduplicate repeated creations of geometries and materials.\n\
\n\
When including Primrose as a `script` tag, the Live API is imported directly onto the window object and is available without qualification."
});

import axis from "./axis";
import box from "./box";
import brick from "./brick";
import camera from "./camera";
import circle from "./circle";
import cloud from "./cloud";
import colored from "./colored";
import cylinder from "./cylinder";
import hub from "./hub";
import light from "./light";
import material from "./material";
import put from "./put";
import quad from "./quad";
import range from "./range";
import ring from "./ring";
import shell from "./shell";
import raycaster from "./raycaster";
import sphere from "./sphere";
import textured from "./textured";
import v3 from "./v3";

export {
  axis,
  box,
  brick,
  camera,
  circle,
  cloud,
  colored,
  cylinder,
  hub,
  light,
  material,
  put,
  quad,
  range,
  ring,
  shell,
  raycaster,
  sphere,
  textured,
  v3
};

export default {
  axis,
  box,
  brick,
  camera,
  circle,
  cloud,
  colored,
  cylinder,
  hub,
  light,
  material,
  put,
  quad,
  range,
  ring,
  shell,
  raycaster,
  sphere,
  textured,
  v3
};